List Org Service Accounts
curl --request GET \
--url https://api.studio.prisme.ai/v2/orgs/{orgSlug}/service-accounts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.studio.prisme.ai/v2/orgs/{orgSlug}/service-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.studio.prisme.ai/v2/orgs/{orgSlug}/service-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"userId": "<string>",
"orgSlug": "<string>",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"roleSlug": "<string>",
"scopes": [
"<string>"
],
"disabled": true,
"lastUsedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"total": 123
}{
"error": "AuthenticationError",
"message": "Unauthenticated"
}Organizations
List Org Service Accounts
List service accounts for an organization.
GET
/
v2
/
orgs
/
{orgSlug}
/
service-accounts
List Org Service Accounts
curl --request GET \
--url https://api.studio.prisme.ai/v2/orgs/{orgSlug}/service-accounts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.studio.prisme.ai/v2/orgs/{orgSlug}/service-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.studio.prisme.ai/v2/orgs/{orgSlug}/service-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"userId": "<string>",
"orgSlug": "<string>",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"roleSlug": "<string>",
"scopes": [
"<string>"
],
"disabled": true,
"lastUsedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updatedBy": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"total": 123
}{
"error": "AuthenticationError",
"message": "Unauthenticated"
}Authorizations
BearerAuthOrgApiKeyAuthBearerAuth & OrgApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Search by name or slug (case-insensitive partial match)
Response
Success
Hide child attributes
Hide child attributes
Synthetic user ID used in JWT sub (sa:{orgSlug}:{slug})
Organization role assigned to this service account
Optional scope restrictions (empty means all permissions from roleSlug)
Was this page helpful?
⌘I